$(document).ready(function () {
  //detect touch
  window.addEventListener('touchstart', function onFirstTouch() {
    // we could use a class
    document.body.classList.add('touchstart', 'has-touch');

    // or set some global variable
    window.USER_IS_TOUCHING = true;

    // we only need to know once that a human touched the screen, so we can stop listening now
    window.removeEventListener('touchstart', onFirstTouch, false);
  }, false);
});

window.addEventListener('load', function () {
  // format titles for circle and triangle decorations
  let $title = $('.hero-title').length ? $('.hero-title') : $('.unit-title');
  let text = $title.text();
  let html = `<span>${text[0]}</span>${text.substr(1, text.length - 2)}<span>${text[text.length - 1]}</span>`;
  $title.html(html);

  // global mute and audio autoplay
  let Spiker = {
    player: document.getElementById('unit-audio-player'),
    downloadPlayer: document.getElementById('unit-audio-player-download'),
    muted() {
      return localStorage.getItem('DOS_muted') === 'true';
    },
    init() {
      if (this.muted()) {
        $('body').addClass('audio-muted');
      }
      else if (this.player) {
        this.player.play();
      }

      $('.js-dos-mute').on('click', () => {
        if (this.muted()) {
          localStorage.setItem('DOS_muted', false);
          $('body').removeClass('audio-muted');
        }
        else {
          localStorage.setItem('DOS_muted', true);
          $('body').addClass('audio-muted');
        }
      });

      if (this.player) {
        $('.js-play-unit-title').on('click', () => {
          if (!this.muted()) {
            this.player.play();
          }
        });
      }

      if (this.downloadPlayer) {
        $('.js-unit-download-link').on('click', () => {
          if (!this.muted()) {
            this.downloadPlayer.play();
          }
        });
      }
    }
  };

  Spiker.init();
});






// ********************* foooter *********************** //
$(document).ready(function () {
  // paginate units on module template
  if (document.body.classList.contains('page-template-module')) {
    $('.js-mu-list-slider').slick({
      appendArrows: $('.mu-list__controls'),
      appendDots: $('.mu-list__controls'),
      arrows: true,
      dots: true,
      // adaptiveHeight: true,
      prevArrow: '<button type="button" aria-label="Natrag" class="mu__prev slick-prev"><span class="icon"><svg class="icon-arrow-back"><use xlink:href="#arrow-back"></use></svg></span></button>',
      nextArrow: '<button type="button" aria-label="Naprijed" class="mu__next slick-next"><span class="icon"><svg class="icon-arrow-forward"><use xlink:href="#arrow-forward"></use></svg></span></button>',
      infinite: false,
      swipe: true,
      responsive: [{
        breakpoint: 720,
        settings: 'unslick'
      }]
    });
  }

  // controls for unit video and keeping videos in sync
  let unitVideo = {
    init() {
      let $unitVideo = document.querySelector('.js-unit-video');
      if ($unitVideo) {
        let $unitVideoHI = document.querySelector('.js-unit-video-hi');

        $unitVideo.addEventListener('play', () => {
          $unitVideoHI.play();
          $('.unit-video').addClass('unit-video--playing');
        });

        $unitVideo.addEventListener('pause', () => {
          $unitVideoHI.pause();
          $('.unit-video').removeClass('unit-video--playing');
        });

        $('.js-unit-video-btn').on('click', () => {
          if ($unitVideo.paused) {
            $unitVideo.play();
          }
          else {
            $unitVideo.pause();
          }
        });
      }
    }
  };

  unitVideo.init();
  // randomize hand and position on unit template
  let randomVisuals = {
    getRandomInt(min, max) {
      min = Math.ceil(min);
      max = Math.floor(max);
      return Math.floor(Math.random() * (max - min)) + min; //The maximum is exclusive and the minimum is inclusive
    },
    init() {
      let $hand = $('.js-hand-visual');
      $hand.attr('src', $hand.attr('data-src').replace('xxxxxx', this.getRandomInt(0, 9)));

      let side = this.getRandomInt(0, 101) % 2 ? 'hand-left' : 'hand-right';
      $('.site-wrapper').attr('data-unit-hand', side);
    }
  };

  if (document.body.classList.contains('page-template-unit')) {
    randomVisuals.init();
  }

});
